Commit d52c3075 authored by Sam Hocevar's avatar Sam Hocevar

* Synchronised Debian build files with 0.8.4-svn20050823-1 upload.

parent ee060894
......@@ -30,5 +30,5 @@ EXTRA_DIST = \
wxvlc.dirs \
wxvlc.menu \
patches/00list \
patches/20_interfaces.dpatch \
patches/20_no-wx-updates.dpatch \
$(NULL)
vlc (0.8.4-svn20050823-1) unstable; urgency=low
* New SVN snapshot.
* debian/control:
+ Build-depend on libsmbclient-dev.
+ Build-depend on libwxgtk2.6-dev (Closes: #285373), which means the
interface now works with non-UTF8 locales (Closes: #308770, #322665).
+ Build-depend on a newer version of libavcodec.
* debian/rules:
+ Activated SMB client support.
+ Install desktop files in usr/share/applications instead of
usr/share/gnome/apps/Multimedia.
* debian/patches/00list:
+ 20_no-wx-updates.dpatch: disabled the update check.
+ 20_interfaces.dpatch: disabled deprecated patch.
* configure.ac:
+ Fixes powerpc build.
* include/network.h src/misc/net.c:
+ Fixes HTTP input (Closes: #322757).
+ Fixes URL encoding in the RTSP module (Closes: #323813).
* modules/gui/skins2 modules/gui/wxwidgets:
+ Fixes a compilation issue on 64-bit architectures (Closes: #324031).
* modules/visualization/xosd.c:
+ Fixes libxosd initialisation (Closes: #324039).
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Mon, 22 Aug 2005 14:43:48 +0200
vlc (0.8.4-svn20050810-2) unstable; urgency=low
* debian/control:
......
......@@ -2,7 +2,7 @@ Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), dpatch, gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3), libasound2-dev (>= 0.9.0beta10a), libarts1-dev (>= 1.4.2-1), libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, libaa1-dev, libdvbpsi4-dev, mozilla-dev (>= 2:1.7.10-1), libidl0, libglib2.0-0, libxosd-dev (>= 2.2.4-1.3), libsvga1-dev [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.6) | libwxgtk2.6-dev, libdvdread3-dev, libflac-dev (>= 1.1.1-5), libimlib2-dev, libmatroska-dev (>= 0.7.7), libfreetype6-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.11.11a-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libxml2-dev, libid3tag0-dev, libtheora-dev, jam, nasm, libmodplug-dev, libhal-dev, libtar-dev, libdvdnav-dev, libgnutls11-dev, libavcodec-dev (>= 0.cvs20050811-1), libavformat-dev (>= 0.cvs20050811-1), libpostproc-dev (>= 0.cvs20050811-1), libncurses5-dev, libpng12-dev, xlibmesa-gl-dev
Build-Depends: debhelper (>= 4.0), dpatch, gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3), libasound2-dev (>= 0.9.0beta10a), libarts1-dev (>= 1.4.2-1), libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, libaa1-dev, libdvbpsi4-dev, mozilla-dev (>= 2:1.7.10-1), libidl0, libglib2.0-0, libxosd-dev (>= 2.2.4-1.3), libsvga1-dev [i386], libogg-dev, libvorbis-dev, libwxgtk2.6-dev, libdvdread3-dev, libflac-dev (>= 1.1.1-5), libimlib2-dev, libmatroska-dev (>= 0.7.7), libfreetype6-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.11.11a-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libxml2-dev, libid3tag0-dev, libtheora-dev, jam, nasm, libmodplug-dev, libhal-dev, libtar-dev, libdvdnav-dev, libgnutls11-dev, libavcodec-dev (>= 0.cvs20050811-2), libavformat-dev (>= 0.cvs20050811-2), libpostproc-dev (>= 0.cvs20050811-2), libncurses5-dev, libpng12-dev, xlibmesa-gl-dev, libsmbclient-dev
Standards-Version: 3.6.2.1
Package: vlc
......
usr/bin
usr/lib/vlc/gui
usr/share/doc
usr/share/gnome/apps/Multimedia
usr/share/applications
usr/share/man/man1
usr/share/pixmaps
usr/share/vlc
usr/bin
usr/lib/vlc/gui
usr/share/doc
usr/share/gnome/apps/Multimedia
usr/share/applications
usr/share/man/man1
usr/share/pixmaps
usr/share/vlc
#20_interfaces
20_no-wx-updates
#! /bin/sh -e
## 20_interfaces.dpatch by <sam+deb@zoy.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
exit 1
fi
[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
case "$1" in
-patch) patch -p1 ${patch_opts} < $0;;
-unpatch) patch -R -p1 ${patch_opts} < $0;;
*)
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
exit 1;;
esac
exit 0
@DPATCH@
diff -urNad /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/modules/gui/kde/kde.cpp vlc-0.7.2.svn20040826/modules/gui/kde/kde.cpp
--- /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/modules/gui/kde/kde.cpp 2004-08-27 01:17:48.000000000 +0200
+++ vlc-0.7.2.svn20040826/modules/gui/kde/kde.cpp 2004-08-27 01:17:56.000000000 +0200
@@ -53,7 +53,7 @@
/* int i = getenv( "DISPLAY" ) == NULL ? 8 : 85; */
set_description( _("KDE interface") );
add_file( "kde-uirc", DATA_PATH "/ui.rc", NULL, N_( "path to ui.rc file" ), NULL, VLC_TRUE );
- set_capability( "interface", 0 ); /* 0 used to be i, disabled because kvlc not maintained */
+ set_capability( "interface", 1 ); /* 0 used to be i, disabled because kvlc not maintained */
set_program( "kvlc" );
set_callbacks( open, close );
vlc_module_end();
diff -urNad /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/modules/gui/skins2/src/skin_main.cpp vlc-0.7.2.svn20040826/modules/gui/skins2/src/skin_main.cpp
--- /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/modules/gui/skins2/src/skin_main.cpp 2004-08-27 01:17:48.000000000 +0200
+++ vlc-0.7.2.svn20040826/modules/gui/skins2/src/skin_main.cpp 2004-08-27 01:17:56.000000000 +0200
@@ -349,7 +349,7 @@
#endif
set_description( _("Skinnable Interface") );
- set_capability( "interface", 30 );
+ set_capability( "interface", 120 );
set_callbacks( Open, Close );
add_shortcut( "skins" );
set_program( "svlc" );
diff -urNad /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/src/interface/interface.c vlc-0.7.2.svn20040826/src/interface/interface.c
--- /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/src/interface/interface.c 2004-08-27 01:17:48.000000000 +0200
+++ vlc-0.7.2.svn20040826/src/interface/interface.c 2004-08-27 01:17:56.000000000 +0200
@@ -306,8 +306,10 @@
{
static char *ppsz_interfaces[] =
{
+/*
"skins2", "Skins 2",
"wxwidgets", "wxWidgets",
+*/
NULL, NULL
};
char **ppsz_parser;
#! /bin/sh -e
## 20_interfaces.dpatch by <sam+deb@zoy.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
exit 1
fi
[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
case "$1" in
-patch) patch -p1 ${patch_opts} < $0;;
-unpatch) patch -R -p1 ${patch_opts} < $0;;
*)
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
exit 1;;
esac
exit 0
@DPATCH@
diff -urNad /home/sam/debian/official/vlc/debian/vlc-0.7.2.svn20040826/modules/gui/wxwidgets/interface.cpp vlc-0.7.2.svn20040826/modules/gui/wxwidgets/interface.cpp
--- vlc-0.8.4-svn20050823.orig/modules/gui/wxwidgets/interface.cpp
+++ vlc-0.8.4-svn20050823/modules/gui/wxwidgets/interface.cpp
@@ -437,8 +437,8 @@
/* Create the "Help" menu */
wxMenu *help_menu = new wxMenu;
help_menu->Append( About_Event, wxU(_("About VLC media player")) );
- help_menu->AppendSeparator();
- help_menu->Append( UpdateVLC_Event, wxU(_("Check for updates ...")) );
+// help_menu->AppendSeparator();
+// help_menu->Append( UpdateVLC_Event, wxU(_("Check for updates ...")) );
/* Append the freshly created menus to the menu bar... */
wxMenuBar *menubar = new wxMenuBar();
......@@ -38,7 +38,7 @@ CONFIG_FLAGS += \
--enable-ogg \
--enable-vorbis \
--enable-wxwidgets \
--with-wx-config=wxgtk-2.4-config \
--with-wx-config=wx-config \
--disable-slp \
--enable-flac \
--disable-skins \
......@@ -62,6 +62,7 @@ CONFIG_FLAGS += \
--enable-gnutls \
--enable-ffmpeg \
--enable-ncurses \
--enable-smb \
$(NULL)
# These ones are currently shipped with VLC
......@@ -80,7 +81,7 @@ CONFIG_FLAGS += --enable-dvd --without-dvdcss
# A few shortcuts
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
GNOMEDIR = usr/share/gnome/apps/Multimedia
APPDIR = usr/share/applications
#
# Build rules
......@@ -196,8 +197,8 @@ install: build
# Package: vlc
mv debian/vlc/$(VIDDIR)/vlc48x48.png debian/vlc/$(PIXDIR)/vlc.png
mv debian/vlc/$(VIDDIR)/vlc32x32.xpm debian/vlc/$(VIDDIR)/vlc.xpm
cp debian/gvlc.desktop debian/gvlc/$(GNOMEDIR)
cp debian/gnome-vlc.desktop debian/gnome-vlc/$(GNOMEDIR)
cp debian/gvlc.desktop debian/gvlc/$(APPDIR)
cp debian/gnome-vlc.desktop debian/gnome-vlc/$(APPDIR)
#cp doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc
#strfile doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc.dat
......@@ -310,7 +311,7 @@ endif
mv debian/vlc/usr/bin/wxvlc debian/wxvlc/usr/bin/
ln -s vlc debian/wxvlc/usr/share/doc/wxvlc
cp debian/vlc/$(VIDDIR)/vlc.xpm debian/wxvlc/$(VIDDIR)/wxvlc.xpm
cp debian/vlc.desktop debian/wxvlc/$(GNOMEDIR)
cp debian/vlc.desktop debian/wxvlc/$(APPDIR)
mv debian/vlc/usr/lib/vlc/gui/libwxwidgets_plugin.so \
debian/wxvlc/usr/lib/vlc/gui/
ln -s vlc.1.gz debian/wxvlc/usr/share/man/man1/wxvlc.1.gz
......
......@@ -13,7 +13,7 @@ usr/lib/vlc/video_filter
usr/lib/vlc/video_output
usr/lib/vlc/visualization
usr/share/doc/vlc
usr/share/gnome/apps/Multimedia
usr/share/applications
usr/share/pixmaps
usr/share/vlc
usr/share/man/man1
......@@ -4,4 +4,4 @@ usr/share/doc
usr/share/man/man1
usr/share/pixmaps
usr/share/vlc
usr/share/gnome/apps/Multimedia
usr/share/applications
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment